# Interface UploadClientOperationCreate

Defines what is required to create a new change (file) in a existing folder or layer..

interface UploadClientOperationCreate {
content: unknown;
filename: string;
metadata: DefaultChangeUploadableMetadata;
operation: "create";
parent: BimChangeLayer | BimFolder;
}

##### Index

### Properties

content
filename
metadata
operation
parent

## Properties

### content

content: unknown

Content of the file

### filename

filename: string

Filename that the change will get.

### metadata

metadata: DefaultChangeUploadableMetadata

Metadata.

### operation

operation: "create"

Type of operation. In this case 'create' to represent file creation.

### parent

parent: BimChangeLayer | BimFolder

Folder or layer to create change (file) in